All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata
Class OMRProxy

    com.sas.services.information.metadata.OMRProxy

All Implemented Interfaces:
  ConnectionInterface, MetadataInterface, ProxyInterface, TCPIPConnectionInterface, PublicObjectInterface, com.sas.storage.editableproperties.SubstitutionProperties, java.io.Serializable, java.rmi.Remote

    public class OMRProxy

implements ProxyInterface

OMRProxy

See Also:
  Serialized Form

Field Summary
`protected static int[]` | `m_defPorts`
`protected static java.lang.String[]` | `m_supportedSchemes`
`protected static java.lang.String` | `PROXY_APP_PROTOCOL`
`protected static java.lang.String` | `PROXY_PATH_PROPNAME`

Fields inherited from class com.sas.services.information.metadata.Metadata
`_actionInterfaces, _children, _isCompatible, _isDestroyPending, _isReadCompatible, _myRefreshInterval, _myState, _omrCreateDate, _omrModifyDate, _repository, _repositoryFlag, _repositoryObject, _treeRefreshTime, formats, gmtZone, OMSOBJ_STRING, REPOSITORY_DAV, REPOSITORY_LOMR, REPOSITORY_NONE, REPOSITORY_OMR, SLASH`

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Constructor Summary
`OMRProxy(RepositoryInterface repos, java.lang.String name, FolderInterface parent)` Constructor for the OMRProxy object
`OMRProxy(com.sas.metadata.remote.TCPIPConnection o)` Constructor for the OMRProxy class
`OMRProxy(com.sas.metadata.remote.impl.TCPIPConnectionImpl_Stub o)` Constructor for the OMRProxy class
`OMRProxy(com.sas.metadata.remote.impl.TCPIPConnectionImpl o)` Constructor for the OMRProxy class

Method Summary
`java.lang.String` | `getPath()` Returns the path for this Proxy
`java.lang.String` | `getScheme()` Returns the scheme for this Proxy
`java.lang.String` | `getURI()` Returns the URI for this proxy
`void` | `setPath(java.lang.String path)` Sets the path for this Proxy
`void` | `setScheme(java.lang.String scheme)` Sets the scheme for this Proxy
`void` | `setURI(java.lang.String uri)` Sets the URI for this Proxy

Methods inherited from class com.sas.services.information.metadata.Metadata
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addProcessorInterface, addPrompt, addPropertySet, addRemark, addResponsibleParty, addToList, addTransactionListener, addUsedByPrototype, checkin, checkout, checkPulse, clearInformationService, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, deleteRootObject, destroy, fromByteArray, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getContainer, getCreateDate, getCreatedBy, getDefaultLocalizableProperties, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentifier, getIdentities, getImplementors, getInformationService, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getName, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getObjectURI, getParent, getParentPath, getParents, getPath, getPaths, getPathUrl, getPathUrl, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getProcessorInterface, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getTreeRefresh, getTypeDescriptor, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, hashCode, isAuthorized, isCompatible, isConnectionException, isDeleted, isDestroyed, isLoggingEnabled, isLoggingEnabled, isObjectAlive, isReadCompatible, logFormat, logFormat, logFormat, logFormat, logFormat, logFormat, logFormat, logFormat, logMessage, logMessage, logMessage, logMessage, logThrowable, logThrowable, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, notifyTransactionListeners, refresh, removeAccessControl, removeDocument, removeExtension, removeFromList, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, reset, rollback, setAttribute, setAttributes, setCompatibility, setDefaultLocalizableProperties, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setTreeRefresh, setUsingPrototype, startTransaction, toByteArray, toString, transactionEvent, uncheckout, update, updateFromBag, validateNameAndFolder, validateNameAndFolder, version`

Methods inherited from interface com.sas.services.information.metadata.TCPIPConnectionInterface
`getHost, getPort, getService, setHost, setPort, setService`

Methods inherited from interface com.sas.services.information.metadata.ConnectionInterface
`addProvider, getApplicationProtocol, getAuthenticationType, getCommunicationProtocol, getDomain, getProperties, getProviders, getSource, removeProvider, setApplicationProtocol, setAuthenticationType, setCommunicationProtocol, setDomain, setProperty, setProviders, setSource`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Field Detail

### PROXY_PATH_PROPNAME

    protected static final java.lang.String PROXY_PATH_PROPNAME

See Also:
  Constant Field Values

### PROXY_APP_PROTOCOL

    protected static final java.lang.String PROXY_APP_PROTOCOL

See Also:
  Constant Field Values

### m_supportedSchemes

    protected static java.lang.String[] m_supportedSchemes

### m_defPorts

    protected static int[] m_defPorts

Constructor Detail

### OMRProxy

    public OMRProxy(com.sas.metadata.remote.TCPIPConnection o)
             throws java.rmi.RemoteException

  Constructor for the OMRProxy class

  Parameters:
    `o` - TCPIPConnection object to model OMRProxy
  Throws:
    `java.rmi.RemoteException`

### OMRProxy

    public OMRProxy(com.sas.metadata.remote.impl.TCPIPConnectionImpl o)
             throws java.rmi.RemoteException

  Constructor for the OMRProxy class

  Parameters:
    `o` - TCPIPConnectionImpl object to model OMRProxy
  Throws:
    `java.rmi.RemoteException`

### OMRProxy

    public OMRProxy(com.sas.metadata.remote.impl.TCPIPConnectionImpl_Stub o)
             throws java.rmi.RemoteException

  Constructor for the OMRProxy class

  Parameters:
    `o` - TCPIPConnectionImpl_Stub object to model OMRProxy
  Throws:
    `java.rmi.RemoteException`

### OMRProxy

    public OMRProxy(RepositoryInterface repos,
                    java.lang.String name,
                    FolderInterface parent)
             throws java.rmi.RemoteException

  Constructor for the OMRProxy object

  Parameters:
    `repos` - The repository to create this object in
    `name` - The name of the object to create
    `parent` - The parent folder of the object
  Throws:
    `java.rmi.RemoteException`

Method Detail

### getPath

    public java.lang.String getPath()
                             throws ServiceException,
                                    java.rmi.RemoteException

  Description copied from interface: `ProxyInterface`
  Returns the path for this Proxy

  Specified by:
    `getPath` in interface `ProxyInterface`
  Returns:
    String representing the path for this proxy
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getScheme

    public java.lang.String getScheme()
                               throws java.rmi.RemoteException

  Description copied from interface: `ProxyInterface`
  Returns the scheme for this Proxy

  Specified by:
    `getScheme` in interface `ProxyInterface`
  Returns:
    String representing the scheme for this proxy
  Throws:
    `java.rmi.RemoteException`

### getURI

    public java.lang.String getURI()
                            throws ServiceException,
                                   java.rmi.RemoteException

  Description copied from interface: `ProxyInterface`
  Returns the URI for this proxy

  Specified by:
    `getURI` in interface `ProxyInterface`
  Returns:
    String representing the URI for this proxy
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### setPath

    public void setPath(java.lang.String path)
                 throws java.rmi.RemoteException,
                        ServiceException

  Description copied from interface: `ProxyInterface`
  Sets the path for this Proxy

  Specified by:
    `setPath` in interface `ProxyInterface`
  Parameters:
    `path` - Path to set for this proxy
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### setScheme

    public void setScheme(java.lang.String scheme)
                   throws java.rmi.RemoteException

  Description copied from interface: `ProxyInterface`
  Sets the scheme for this Proxy

  Specified by:
    `setScheme` in interface `ProxyInterface`
  Parameters:
    `scheme` - Scheme to set for this Proxy
  Throws:
    `java.rmi.RemoteException`

### setURI

    public void setURI(java.lang.String uri)
                throws ServiceException,
                       java.rmi.RemoteException

  Description copied from interface: `ProxyInterface`
  Sets the URI for this Proxy

  Specified by:
    `setURI` in interface `ProxyInterface`
  Parameters:
    `uri` - The uri to set for this proxy
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.